# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name xml-conduit

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        1.2.6
Release:        1%{?dist}
Summary:        Utilities for dealing with XML with conduit

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-system-filepath-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-xml-types-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-hspec-devel
%endif
# End cabal-rpm deps

%description
This package provides parsing and rendering functions for XML. It is
based on the datatypes found in the xml-types package. This package is
broken up into the following modules:

* Text.XML: DOM-based parsing and rendering.
  This is the most commonly used module.

* Text.XML.Cursor: A wrapper around Text.XML which allows bidirectional
  traversing of the DOM, similar to XPath. (Note: Text.XML.Cursor.Generic
  is the same concept, but will work with any node representation.)

* Text.XML.Unresolved: A slight modification  to Text.XML which does not
  require  all entities  to be  resolved at  parsing. The  datatypes are
  slightly  more complicated  here, and  therefore this  module is  only
  recommended when you need to deal directly with raw entities.

* Text.XML.Stream.Parse: Streaming parser, including some streaming
  parser combinators.

* Text.XML.Stream.Render: Streaming renderer.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Wed May 20 2015 Jens Petersen <petersen@redhat.com> - 1.2.6-1
- description

* Wed May 20 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.2.6
- spec file generated by cabal-rpm-0.9.5.50
